version: '3.1'

services:
  energymeter:
    build:
      context: files/energy-meter
    restart: unless-stopped
    network_mode: host
    devices:
      - "/opt/serial-energymeter:/dev/ttyUSB0"

  temp:
    build:
      context: files/temp-meter
    restart: unless-stopped
    network_mode: host
    devices:
      - "/opt/serial-temp:/dev/ttyUSB0"

  serial:
    build:
      context: files/serial
    restart: unless-stopped
    network_mode: host
    devices:
      - "/opt/serial-mppsolar:/dev/ttyUSB0"

  esmart:
    build:
      context: files/esmart-modbus
    restart: unless-stopped
    network_mode: host
    devices:
      - "/opt/serial-esmart:/dev/ttyUSB0"

  quccbms:
    build:
      context: files/qucc-bms
    restart: unless-stopped
    network_mode: host
    devices:
      - "/opt/serial-quccbms:/dev/ttyUSB0"

  jkbms:
    build:
      context: files/jk-bms
    restart: unless-stopped
    network_mode: host
    devices:
      - "/opt/serial-jkbms:/dev/ttyUSB0"
